package com.zd.airbottle.service;

import java.util.List;
import java.util.Map;

import com.zd.airbottle.domain.QpTransportUser;
import com.zd.airbottle.domain.dto.QpTransportUserDto;
import com.zd.airbottle.domain.vo.QpTransportUserVo;

/**
 * 运输人员Service接口
 */
public interface IQpTransportUserService 
{
    /**
     * 查询运输人员
     * 
     * @param id 运输人员主键
     * @return 运输人员
     */
    QpTransportUserVo selectQpTransportUserById(Long id);

    /**
     * 查询运输人员列表
     * 
     * @param qpTransportUser 运输人员
     * @return 运输人员集合
     */
    List<QpTransportUser> selectQpTransportUserList(QpTransportUser qpTransportUser);

    /**
     * 查询运输人员列表
     *
     * @param transportUser 运输人员
     * @return 运输人员集合
     */
    List<QpTransportUserVo> getTransportUserList(QpTransportUser transportUser);

    /**
     * 新增运输人员
     * 
     * @param transportUserDto 运输人员
     * @return 结果
     */
    int insertQpTransportUser(QpTransportUserDto transportUserDto);

    /**
     * 修改运输人员
     * 
     * @param qpTransportUser 运输人员
     * @return 结果
     */
    int updateQpTransportUser(QpTransportUser qpTransportUser);

    /**
     * 批量删除运输人员
     * 
     * @param ids 需要删除的运输人员主键集合
     * @return 结果
     */
    int deleteQpTransportUserByIds(Long[] ids);

    /**
     * 删除运输人员信息
     * 
     * @param id 运输人员主键
     * @return 结果
     */
    int deleteQpTransportUserById(Long id);

    /**
     * 根据ID集合批量查询
     * @param userIds ID集合
     * @return 结果集
     */
    List<QpTransportUser> selectQpTransportUserListByIds(Long[] userIds);

    /**
     * 编辑接口
     * @param transportUserDto 人员详细数据
     * @return 返回值
     */
    int edit(QpTransportUserDto transportUserDto);

    /**
     * 设置人员证件
     * @param transportUserVo 人员信息
     */
    void setUserCredentials(QpTransportUserVo transportUserVo);

    /**
     * 根据供应商ID集合获取运输人员数量
     * @param supplierIds 供应商ID集合
     * @return map结果集
     */
    Map<Long, Integer> getBySupplierIds(List<Long> supplierIds);
    /**
     * 获取审核列表
     * @param transportUser 查询参数
     * @return 结果集
     */
    List<QpTransportUser> checkList(QpTransportUser transportUser);

    /***
     * 根据供应商查询注册用户
     * @return 运输人员集合
     */
    List<QpTransportUser> selectUserList(QpTransportUserVo qpTransportUserVo);

    List<QpTransportUserVo> getListVo(List<QpTransportUser> list);

    List<QpTransportUserVo> getSupplierUserList(QpTransportUser qpTransportUser);
}
